# Uses of Class io.dapr.workflows.runtime.WorkflowActivityContext (dapr-sdk-workflows 0.12.2 API)
use: package: io.dapr.workflows.runtime, class: WorkflowActivityContext

# Uses of Class
io.dapr.workflows.runtime.WorkflowActivityContext

Packages that use WorkflowActivityContext
Package
Description
io.dapr.workflows.runtime

## Uses of WorkflowActivityContext in io.dapr.workflows.runtime

Methods in io.dapr.workflows.runtime with parameters of type WorkflowActivityContext
Modifier and Type
Method
Description
`Object`
WorkflowActivity.`run(WorkflowActivityContext ctx)`
Executes the activity logic and returns a value which will be serialized and returned to the calling orchestrator.